Package com.complexible.common.dataexporter

# Class WordWrapStringColumn

java.lang.Object
com.brsanthu.dataexporter.model.Column
com.complexible.common.dataexporter.FormattedColumn
com.complexible.common.dataexporter.WordWrapStringColumn

Direct Known Subclasses:
  `RDFValueColumn`

public class WordWrapStringColumn extends FormattedColumn
A simple extension of StringColumn class that fixes the bug in calculating the max row height when word wrapping introduces new lines.

Author:
  Evren Sirin

- ## Field Summary

  ### Fields inherited from class com.brsanthu.dataexporter.model.Column

  `aligner, headerCellCssClass, headerCellCssId, headerCellCssStyle, rowCellCssClass, rowCellCssId, rowCellCssStyle`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WordWrapStringColumn(String name)`
  `WordWrapStringColumn(String name, com.brsanthu.dataexporter.model.AlignType align)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `align(com.brsanthu.dataexporter.model.CellDetails cellDetails, String cellValue, String filler)`
  `int`
  `getMaxRowHeight(com.brsanthu.dataexporter.model.CellDetails cellDetails)`

  ### Methods inherited from class com.complexible.common.dataexporter.FormattedColumn

  `format`

  ### Methods inherited from class com.brsanthu.dataexporter.model.Column

  `align, align, align, getAlign, getCellValueGenerator, getHeaderCellCssClass, getHeaderCellCssId, getHeaderCellCssStyle, getMaxRowHeight, getMaxRowHeight, getName, getRowCellCssClass, getRowCellCssId, getRowCellCssStyle, getTitle, getTitle2, getTitle3, getWidth, isGeneratesOwnData, isNillable, setAlign, setCellValueGenerator, setGeneratesOwnData, setHeaderCellCssClass, setHeaderCellCssId, setHeaderCellCssStyle, setName, setNillable, setRowCellCssClass, setRowCellCssId, setRowCellCssStyle, setTitle, setTitle2, setTitle3, setWidth`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### WordWrapStringColumn

    public WordWrapStringColumn(String name)

  - ### WordWrapStringColumn

    public WordWrapStringColumn(String name, com.brsanthu.dataexporter.model.AlignType align)

- ## Method Details

  - ### align

    public List<String> align(com.brsanthu.dataexporter.model.CellDetails cellDetails, String cellValue, String filler)
    Overrides:
      `align` in class `com.brsanthu.dataexporter.model.Column`

  - ### getMaxRowHeight

    public int getMaxRowHeight(com.brsanthu.dataexporter.model.CellDetails cellDetails)
    Overrides:
      `getMaxRowHeight` in class `FormattedColumn`